extractr docs
Facebook

Get recent page posts

GET
/facebook/page_posts

Latest public posts from a page, including reaction breakdowns, share and comment counts.

Costs 5 credits per request.

Authorization

ApiKeyAuth
X-API-Key<token>

API key created in the extractr dashboard (ext_live_...). Also accepted as Authorization: Bearer.

In: header

Query Parameters

username*string
Length1 <= length
limit?integer
Range1 <= value <= 25
Default10

Response Body

application/json

application/json

application/json

application/json

curl -X GET "https://example.com/facebook/page_posts?username=nasa"
{  "username": "string",  "posts": [    {      "id": "104958162837_98213467",      "text": "string",      "created_at": "2019-08-24T14:15:22Z",      "permalink": "http://example.com",      "reactions": {        "like": 0,        "love": 0,        "haha": 0,        "wow": 0,        "sad": 0,        "angry": 0      },      "comments_count": 0,      "shares": 0,      "media": [        {          "type": "photo",          "url": "http://example.com"        }      ]    }  ]}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}
{  "error": {    "code": "invalid_api_key",    "message": "The provided API key is invalid or has been revoked."  }}